# TPointMeshRenderable Class Reference

Inheritance diagram for TPointMeshRenderable:

List of all members.

## Public Member Functions
virtual I3DShRenderable::EType MCCOMAPI | GetGeometryType () const
virtual const TPointMesh *MCCOMAPI | GetPointMesh () const
## Static Public Member Functions
static void | Create (TRenderableHelper **outRenderable, TMCColorRGB &inColorRef, TBBox3D &inBBoxRef, TRenderableFlags &inFlagsRef, TPointMesh &inPointMeshRef)
## Protected Member Functions
| TPointMeshRenderable (TMCColorRGB &inColorRef, TBBox3D &inBBoxRef, TRenderableFlags &inFlagsRef, TPointMesh &inPointMeshRef)
| ~TPointMeshRenderable ()
## Protected Attributes
TPointMesh & | fPointMeshRef

## Constructor & Destructor Documentation

TPointMeshRenderable::TPointMeshRenderable | ( | TMCColorRGB & | inColorRef,
|  | TBBox3D & | inBBoxRef,
|  | TRenderableFlags & | inFlagsRef,
|  | TPointMesh & | inPointMeshRef |
| ) |  |  | `[inline, protected]`

TPointMeshRenderable::~TPointMeshRenderable | ( |  | ) | `[inline, protected]`

## Member Function Documentation

static void TPointMeshRenderable::Create | ( | TRenderableHelper ** | outRenderable,
|  | TMCColorRGB & | inColorRef,
|  | TBBox3D & | inBBoxRef,
|  | TRenderableFlags & | inFlagsRef,
|  | TPointMesh & | inPointMeshRef |
| ) |  |  | `[inline, static]`

virtual I3DShRenderable::EType MCCOMAPI TPointMeshRenderable::GetGeometryType | ( |  | ) | const`[inline, virtual]`

Returns the type of geometry that should be rendered (points, segments or triangles...)

Implements TRenderableHelper.

virtual const TPointMesh* MCCOMAPI TPointMeshRenderable::GetPointMesh | ( |  | ) | const`[inline, virtual]`

Returns a pointer to the point mesh contained in this renderable. Returns NULL if the renderable is not a point mesh (see GetGeometryType()).

Reimplemented from TCountedRenderable.

## Member Data Documentation

TPointMesh& TPointMeshRenderable::fPointMeshRef`[protected]`

The documentation for this class was generated from the following file:

- BasicRenderables.h